Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::CoordinateSystemNode Class Reference

CoordinateSystem encapsulate the coordinate system that is associated with objects in a scene. More...

Inheritance diagram for osg::CoordinateSystemNode:

[legend]
List of all members.

## Public Member Functions
| CoordinateSystemNode ()
| CoordinateSystemNode (const std::string &format, const std::string &cs)
| CoordinateSystemNode (const CoordinateSystemNode &, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_Node (osg, CoordinateSystemNode)
void | set (const CoordinateSystemNode &csn)
| Set the coordinate system node up by copy the format, coordinate system string, and ellipsoid model of another coordinate system node.
void | setFormat (const std::string &format)
| Set the coordinate system format string.
const std::string & | getFormat () const
| Get the coordinate system format string.
void | setCoordinateSystem (const std::string &cs)
| Set the CoordinateSystem reference string, should be stored in a form consistent with the Format.
const std::string & | getCoordinateSystem () const
| Get the CoordinateSystem reference string.
void | setEllipsoidModel (EllipsoidModel *ellipsode)
| Set EllipsoidModel to describe the model used to map lat, long and height into geocentric XYZ and back.
EllipsoidModel * | getEllipsoidModel ()
| Get the EllipsoidModel.
const EllipsoidModel * | getEllipsoidModel () const
| Get the const EllipsoidModel.
CoordinateFrame | computeLocalCoordinateFrame (const Vec3d &position) const
| Compute the local coordinate frame for specified point.
osg::Vec3d | computeLocalUpVector (const Vec3d &position) const
| Compute the local coordinate frame for specified point.
## Protected Member Functions
virtual | ~CoordinateSystemNode ()
## Protected Attributes
std::string | _format
std::string | _cs
ref_ptr< EllipsoidModel > | _ellipsoidModel

## Detailed Description

CoordinateSystem encapsulate the coordinate system that is associated with objects in a scene.

For an overview of common earth bases coordinate systems see http://www.colorado.edu/geography/gcraft/notes/coordsys/coordsys_f.html

## Constructor & Destructor Documentation

osg::CoordinateSystemNode::CoordinateSystemNode | ( |  | ) |

osg::CoordinateSystemNode::CoordinateSystemNode | ( | const std::string & | format,
|  | const std::string & | cs
| ) |

osg::CoordinateSystemNode::CoordinateSystemNode | ( | const CoordinateSystemNode & | ,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY
| ) |

| Copy constructor using CopyOp to manage deep vs shallow copy.

virtual osg::CoordinateSystemNode::~CoordinateSystemNode | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

CoordinateFrame osg::CoordinateSystemNode::computeLocalCoordinateFrame | ( | const Vec3d & | position | ) | const

| Compute the local coordinate frame for specified point.

osg::Vec3d osg::CoordinateSystemNode::computeLocalUpVector | ( | const Vec3d & | position | ) | const

| Compute the local coordinate frame for specified point.

const std::string& osg::CoordinateSystemNode::getCoordinateSystem | ( |  | ) | const`[inline]`

| Get the CoordinateSystem reference string.

const EllipsoidModel* osg::CoordinateSystemNode::getEllipsoidModel | ( |  | ) | const`[inline]`

| Get the const EllipsoidModel.

EllipsoidModel* osg::CoordinateSystemNode::getEllipsoidModel | ( |  | ) | `[inline]`

| Get the EllipsoidModel.

const std::string& osg::CoordinateSystemNode::getFormat | ( |  | ) | const`[inline]`

| Get the coordinate system format string.

osg::CoordinateSystemNode::META_Node | ( | osg | ,
|  | CoordinateSystemNode |
| ) |

void osg::CoordinateSystemNode::set | ( | const CoordinateSystemNode & | csn | ) |

| Set the coordinate system node up by copy the format, coordinate system string, and ellipsoid model of another coordinate system node.

void osg::CoordinateSystemNode::setCoordinateSystem | ( | const std::string & | cs | ) | `[inline]`

| Set the CoordinateSystem reference string, should be stored in a form consistent with the Format.

void osg::CoordinateSystemNode::setEllipsoidModel | ( | EllipsoidModel * | ellipsode | ) | `[inline]`

| Set EllipsoidModel to describe the model used to map lat, long and height into geocentric XYZ and back.

void osg::CoordinateSystemNode::setFormat | ( | const std::string & | format | ) | `[inline]`

| Set the coordinate system format string. Typical values would be WKT, PROJ4, USGS etc.

## Member Data Documentation

std::string osg::CoordinateSystemNode::_cs`[protected]`

ref_ptr<EllipsoidModel> osg::CoordinateSystemNode::_ellipsoidModel`[protected]`

std::string osg::CoordinateSystemNode::_format`[protected]`

The documentation for this class was generated from the following file:

- CoordinateSystemNode